/*
OSEPP 101 Sensor Kit

Read temperature readings in celcius.
Blue LED on if "cool" temperature
Red LED if "HOT" temperature

adapted from :
http://playground.arduino.cc/Main/LM35HigherResolution
*/

float tempC;
int reading;
int tempPin = 0;
int ledRed = 13;
int ledBlue = 11;

void setup()
{
analogReference(INTERNAL);
Serial.begin(9600);
pinMode(ledRed, OUTPUT);
pinMode(ledBlue, OUTPUT);

}

void loop()
{
reading = analogRead(tempPin);
tempC = reading / 9.31;
int tempF = tempC * 9/5+32;
Serial.print("current temperature = ");
Serial.print(tempF);
Serial.println("°F");

delay(1000);


if(tempC >= 80){
  digitalWrite(ledRed, HIGH);
    digitalWrite(ledBlue, LOW);

}

else if (tempC < 80){
     digitalWrite(ledBlue, HIGH);
    digitalWrite(ledRed, LOW);

}
}

