/*
OSEPP 101 Sensor Kit 
Four Leds / Four Button Sample Code
Daniel @ OSEPP Tech Support

LED RED = PIN 13
LED GREEN = PIN 11
LED BLUE = PIN 9
LED YELLOW = PIN 6

BUTTON RED = PIN 12
BUTTON GREEN = PIN 10
BUTTON BLUE = PIN 4
BUTTON YELLOW = PIN 2
*/

int LEDS[4] = { 13, 11, 9, 6 }; //declare pins within LED array
int BUTTONS[4] = {12,10,4, 2 }; //declare buttons within button array
int buttonState =0;

void setup(){
  //we are loading the array of leds and button pins in a for loop
  for(int Pins = 0; Pins < 4; Pins++){ 
    pinMode(LEDS[Pins], OUTPUT);
    pinMode(BUTTONS[Pins], INPUT);
  }

}

void loop(){
  //load all the buttons pins
  for(int Pins = 0; Pins < 4; Pins++){
    //read all the buttons state in sequential order
    buttonState = digitalRead(BUTTONS[Pins]);
//ordinarily HIGH would indicate a "button pressed" state, but these
//buttons are arranged with pull down resistors, as oppose to pullup. 

    if(buttonState==HIGH){ //if button is not pressed, leds off
      digitalWrite(LEDS[Pins], LOW);
    } 
    else if ( buttonState==LOW){ //if button pressed, leds on
      digitalWrite(LEDS[Pins], HIGH);
    }
  }
}




